{
   struct corr_t{

      Float_t phi;
      Float_t phistep;
      Float_t ratio;
      Float_t ratiosig;
      Float_t sigsig;
      Float_t N;
      Float_t Nsig;
      Float_t miss;

      };
   corr_t corr;

// Open the ROOT file
   TFile *f = TFile::Open("exa1.root");

// Read the tree
   TTree *T = (TTree *)(f->Get("corr;1"));

// Assign the branch
   TBranch *B  = T->GetBranch("corr");
   B->SetAddress(&corr);
   Int_t nevent = T->GetEntries();

   Int_t i = 0;
   for (;i<nevent; i++){
      T->GetEvent(i);
      printf("%d:  %g %g %g %g %g %g %g %g\n", i,
              corr.phi , corr.phistep , corr.ratio , corr.ratiosig ,
              corr.sigsig , corr.N , corr.Nsig , corr.miss);
   }

// Close the file
   f->Close();

//   if (B) delete B;
//   if (T) delete T;
}
